/*
 * Name: cifsmod.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1999-02-13
 * Tabsize: 4
 * Copyright: (c) 1999 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: cifsmod.h,v 1.3 2001/10/24 19:46:23 cs Exp $
 */

#ifndef __cifsmod_H_INCLUDED__
#define __cifsmod_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This module implements the CIFS file share backend. It also contains
framework functionality for the cifsBrowse module.
*/

/* ------------------------------------------------------------------------- */

#define	CIFS_CONFIG_SECTION		"cifs"

extern struct userdb	*cifsUserDb;
extern struct guiObject	*cifsLoginListObject;
extern struct module	*cifsFileModule;

/* --------------------- enum values for config reader --------------------- */

extern btu8	*cifsModExmapEnum[];		/* mapping of execute bit */
extern btu8	*cifsModCasemapEnum[];		/* case conversion of file names */
extern btu8	*cifsModSslVersEnum[];		/* SSL version option */
extern btu8	*cifsFakeSecurityModeEnum[];/* security mode fake option */

/* ------------------------------------------------------------------------- */

struct cfgProperty;

btint	cifsModGlobalCfgPath(struct cfgProperty **path, btint maxEntries);
btint	cifsModServerCfgPath(btu8 *srvName, struct cfgProperty *srvClassSection, struct cfgProperty **path, btint maxEntries);
btint	cifsModBrowserCfgPath(btu8 *browserName, struct cfgProperty **path, btint maxEntries);
/* The above three functions are used to get the search pathes for
 * configuration data. They look up in the order:
 * /db-file/cifs
 * /cfg-file/cifs
 * or
 * /db-file/cifs/servers/<srv-name>
 * /cfg-file/cifs/servers/<srv-name>
 * <srvClassSection>
 * /db-file/cifs/servers/.default
 * /cfg-file/cifs/servers/.default
 * or
 * /db-file/cifs/browsers/<browser-name>
 * /cfg-file/cifs/browsers/<browser-name>
 * /db-file/cifs/browsers/.default
 * /cfg-file/cifs/browsers/.default
 * respectively.
 */

/* ------------------------------------------------------------------------- */

#endif /* __cifsmod_H_INCLUDED__ */
