/*
 * Name: fileattrdos.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-04-08
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: fileattrdos.h,v 1.1.1.1 1999/04/12 13:56:34 cs Exp $
 */

#ifndef __fileattrdos_H_INCLUDED__
#define __fileattrdos_H_INCLUDED__

#include "fileattr.h"

/*
General Description:
This subclass of fileAttr implements DOS file attributes. See the description
in fileattr.h for details.
*/

/* ------------------------------------------------------------------------- */

typedef struct fileAttrDOS{
	fileAttr_t		general;
	bti64			ctime;		/* creation time */
	btu16			updatedBy;	/* user that read the attributes */
	btu16			dosMode;	/* DOS file mode */
}fileAttrDOS_t;

/* ------------------------------------------------------------------------- */

void	*attrDOSNew(void);

void	attrDOSSetValues(fileAttrDOS_t *attr, struct cifsFile *file, btu16 updatedBy, btu16 dosMode, bti64 ctime, bti64 wtime, bti64 atime, btoffset size, btoffset allocSize);

/* ------------------------------------------------------------------------- */

#endif /* __fileattrdos_H_INCLUDED__ */
