/*
 * Name: lmb.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1999-01-03
 * Tabsize: 4
 * Copyright: (c) 1999 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: lmb.h,v 1.2 2001/05/06 15:21:20 cs Exp $
 */

#ifndef __lmb_H_INCLUDED__
#define __lmb_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This module implements the lookup of the local master browser server. It
maintains caches of open servers and domain to server name mappings.
*/

/* ------------------------------------------------------------------------- */

struct server;
struct array;

typedef struct lmbRes{
	btError			err;
	struct server	*server;
}lmbRes_t;

void	lmbForDomain(btu8 *domain, btbool forceDetection, void *caller);
/* 'forceDetection': invalidate cache, always do LMB detection.
 * callback: lmbRes_t with retained server
 */
void	lmbAddServer(struct server *srv, btu8 *domain, bttime maxAge);
void	lmbRemoveServer(struct server *srv);
struct server	*lmbLookupServer(btu8 *srvName);
struct array	*lmbAllServers(void);

/* ------------------------------------------------------------------------- */

#endif /* __lmb_H_INCLUDED__ */
