/*
 * Name: pslsocket.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-05-21
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: pslsocket.h,v 1.3 1999/07/22 17:54:05 cs Exp $
 */

#ifndef __pslsocket_H_INCLUDED__
#define __pslsocket_H_INCLUDED__

#include "basictypes.h"
#include "pslayer.h"

/*
General Description:
This module implements an endpoint of the protocol stack: A TCP socket. It
therefore only implements the psUpInterface.
*/

/* ------------------------------------------------------------------------- */

struct server;

typedef struct pslSocket{
	btint				refCount;
	void				*higherObj;
	psDownInterface_t	*higherI;
	btint				cstatus;
    struct procCond		*connectSignal;
	btu32				destIp;
	int					port;
	int					fd;
	btint				wantSendCount;
	struct msg			*currentMsg;
	btu64				bytesWritten;
	btu64				bytesRead;
	struct server		*server;
}pslSocket_t;

/* ------------------------------------------------------------------------- */

pslSocket_t	*pslSocketNew(btu32 destIp, int port, struct server *server);
/* server is needed for sendTimeout! */

static inline int	pslSocketFd(void *obj)
{
pslSocket_t	*psl = obj;

	if(psl->cstatus == PSL_CONNECTED)
		return psl->fd;
	else
		return -1;
}

extern psUpInterface_t	pslSocketUpInterface;

/* ------------------------------------------------------------------------- */

#endif /* __pslsocket_H_INCLUDED__ */
