/*
 * Name: util.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-03-09
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: util.h,v 1.3 2002/04/05 17:53:49 cs Exp $
 */

#ifndef __UTIL_H_INCLUDED__
#define __UTIL_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This file contains utility functions that are needed at several places and
don't belong elsewhere.
*/

struct ipcMsg;

/* ------------------------------------------------------------------------- */

void	utilParseServiceUni(btuni *service, btuni *server, btsize maxServerLen, btuni *validService, btsize maxServiceLen);
void	utilParseService(btu8 *service, btu8 *server, btsize maxServerLen, btu8 *validService, btsize maxServiceLen, btu8 *slashChar, btsize slashCharLen, btu8 *backslChar, btsize backslCharLen);
btbool	utilResolveName(btu8 *name, btu32 *addrp);

btu8	*utilStrDup(btu8 *s);
btint	utilStrCmp(btu8 *s1, btu8 *s2, btbool caseSensitive);
btu32	utilStrHash(btu8 *s, btbool isCaseSensitive);

typedef void	(*utilBackgroundFn_t)(void *arg, btint resultFd);
void	utilExecInBackground(utilBackgroundFn_t fn, void *arg, struct ipcMsg **res, void *caller);

/* ------------------------------------------------------------------------- */

extern btu32 utilCrc32table[256];

/* ------------------------------------------------------------------------- */

#endif	/* __UTIL_H_INCLUDED__ */
