/*
 * Name: nfsfileadapter.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1998-11-08
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: nfsfileadapter.h,v 1.2 1999/06/11 20:31:36 cs Exp $
 */

#ifndef __nfsfileadapter_H_INCLUDED__
#define __nfsfileadapter_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This class implements the NFS2 file operations. It's separated from nfs2 to
allow for replacement classes for different backend interfaces.
*/

/* ------------------------------------------------------------------------- */

struct module;
struct cfgProperty;
typedef struct nfsFileAdapter	nfsFileAdapter_t;

/* ------------------------------------------------------------------------- */

nfsFileAdapter_t	*nfsFaForBackend(struct module *backend, void *vfs, struct cfgProperty **cfgPath, btint numEntries);
void	nfsFaRetain(nfsFileAdapter_t *fa);
void	nfsFaRelease(nfsFileAdapter_t *fa);

void	nfsFaExecuteRequest(nfsFileAdapter_t *fa, btint functionIndex, void *arg, void *user, void *caller);
btinum	nfsFaRootHandle(nfsFileAdapter_t *fa, void *destHandle, btu32 mountId);

/* ------------------------------------------------------------------------- */

#endif /* __nfsfileadapter_H_INCLUDED__ */
