/*
 * Name: nfs3fileadapter.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 2001-10-28
 * Tabsize: 4
 * Copyright: (c) 2001 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: nfs3fileadapter.h,v 1.1 2001/11/06 09:50:35 cs Exp $
 */

#ifndef __nfs3fileadapter_H_INCLUDED__
#define __nfs3fileadapter_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This class implements the NFS3 file operations. It's separated from nfs3 to
allow for replacement classes for different backend interfaces.
*/

/* ------------------------------------------------------------------------- */

struct module;
struct cfgProperty;
typedef struct nfs3FileAdapter	nfs3FileAdapter_t;

/* ------------------------------------------------------------------------- */

nfs3FileAdapter_t	*nfs3FaForBackend(struct module *backend, void *vfs, struct cfgProperty **cfgPath, btint numEntries);
void	nfs3FaRetain(nfs3FileAdapter_t *fa);
void	nfs3FaRelease(nfs3FileAdapter_t *fa);

void	nfs3FaExecuteRequest(nfs3FileAdapter_t *fa, btint functionIndex, void *arg, void *user, void *caller);
btinum	nfs3FaRootHandle(nfs3FileAdapter_t *fa, void *destHandle, btu32 mountId);

/* ------------------------------------------------------------------------- */

#endif /* __nfs3fileadapter_H_INCLUDED__ */
