/*
 * Name: nfs3print.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 2001-10-25
 * Tabsize: 4
 * Copyright: (c) 2001 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: nfs3print.h,v 1.1 2001/11/06 09:50:36 cs Exp $
 */

#ifndef __nfs3print_H_INCLUDED__
#define __nfs3print_H_INCLUDED__

/*
General Description:
This module implements printing functions for NFS3 data types.
*/

#include "basictypes.h"
#include "nfs3_prot.h"

/* ------------------------------------------------------------------------- */

void	nfs3PrintStatus(btint val);
void	nfs3PrintType(btint val);
void	nfs3PrintStable(btint val);
void	nfs3PrintCreateMode(btint val);
void	nfs3PrintFh(struct nfs3_opaque *val);
void	nfs3PrintSpecdata(struct specdata3 *val);
void	nfs3PrintFattr(struct fattr3 *val);
void	nfs3PrintDiropargs(struct diropargs3 *val);
void	nfs3PrintSattr(struct sattr3 *val);
void	nfs3PrintSattrguard(struct sattrguard3 *val);
void	nfs3PrintWccAttr(struct wcc_attr *val);
void	nfs3PrintPreOpAttr(struct pre_op_attr *val);
void	nfs3PrintPostOpAttr(struct post_op_attr *val);
void	nfs3PrintWccData(struct wcc_data *val);
void	nfs3PrintPostOpFh(struct post_op_fh3 *val);
void	nfs3PrintGetattrRes(struct GETATTR3res *val);
void	nfs3PrintSetattrArgs(struct SETATTR3args *val);
void	nfs3PrintSetattrRes(struct SETATTR3res *val);
void	nfs3PrintLookupRes(struct LOOKUP3res *val);
void	nfs3PrintAccessArgs(struct ACCESS3args *val);
void	nfs3PrintAccessRes(struct ACCESS3res *val);
void	nfs3PrintReadlinkRes(struct READLINK3res *val);
void	nfs3PrintReadArgs(struct READ3args *val);
void	nfs3PrintReadRes(struct READ3res *val);
void	nfs3PrintWriteArgs(struct WRITE3args *val);
void	nfs3PrintWriteRes(struct WRITE3res *val);
void	nfs3PrintCreateArgs(struct CREATE3args *val);
void	nfs3PrintCreateRes(struct CREATE3res *val);
void	nfs3PrintMkdirArgs(struct MKDIR3args *val);
#define	nfs3PrintMkdirRes	nfs3PrintCreateRes
void	nfs3PrintSymlinkArgs(struct SYMLINK3args *val);
#define	nfs3PrintSymlinkRes	nfs3PrintCreateRes
void	nfs3PrintMknodArgs(struct MKNOD3args *val);
#define	nfs3PrintMknodRes	nfs3PrintCreateRes
void	nfs3PrintRemoveRes(struct REMOVE3res *val);
#define	nfs3PrintRmdirRes	nfs3PrintRemoveRes
void	nfs3PrintRenameArgs(struct RENAME3args *val);
void	nfs3PrintRenameRes(struct RENAME3res *val);
void	nfs3PrintLinkArgs(struct LINK3args *val);
void	nfs3PrintLinkRes(struct LINK3res *val);
void	nfs3PrintReaddirArgs(struct READDIR3args *val);
void	nfs3PrintEntries(struct entry3 *val);
void	nfs3PrintReaddirRes(struct READDIR3res *val);
void	nfs3PrintReaddirplusArgs(struct READDIRPLUS3args *val);
void	nfs3PrintEntriesplus(struct entryplus3 *val);
void	nfs3PrintReaddirplusRes(struct READDIRPLUS3res *val);
void	nfs3PrintFsstatRes(struct FSSTAT3res *val);
void	nfs3PrintFsinfoRes(struct FSINFO3res *val);
void	nfs3PrintPathconfRes(struct PATHCONF3res *val);
void	nfs3PrintCommitArgs(struct COMMIT3args *val);
void	nfs3PrintCommitRes(struct COMMIT3res *val);

/* ------------------------------------------------------------------------- */

#endif /* __nfs3print_H_INCLUDED__ */
