/*
 * Name: diskarb.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 2001-01-20
 * Tabsize: 4
 * Copyright: (c) 2001 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: diskarb.h,v 1.1 2001/10/13 12:40:10 cs Exp $
 */

#ifndef __diskarb_H_INCLUDED__
#define __diskarb_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
The functions in this module implement MacOS X/Darwin-specific details of
the mounting and unmounting. On non-Darwin systems these functions are
dummy implementations to allow code without #ifdefs.
*/

/* ------------------------------------------------------------------------- */

void	diskarbPreMountNotify(btu8 *mountpoint, btu8 *device);
/* This function must be called before a mount is done. It prepares the
 * mountpoint directory.
 */

void	diskarbPostMountNotify(btu8 *mountpoint, btu8 *device, btint mountError);
/* This function must be called to inform the Darwin system about a
 * mount and whether it succeeded.
 */

void	diskarbPerformUnmount(btu8 *mountpoint, btu8 *device, void *caller);
/* This function does the entire unmount.
 * Callback: a pointer to a btError structure containing the result of the
 * operation.
 */

void	diskarbMainInit(void);
/* This function must be called ONCE during initialisation of the daemon
 * from the daemon's main task (NOT any forked task).
 */

#endif /* __diskarb_H_INCLUDED__ */

