/*
 * Name: cifsinterface.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1999-03-28
 * Tabsize: 4
 * Copyright: (c) 1999 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: cifsinterface.h,v 1.1.1.1 1999/04/12 13:56:32 cs Exp $
 */

#ifndef __cifsinterface_H_INCLUDED__
#define __cifsinterface_H_INCLUDED__

/*
General Description:
This header contains constant definitions that are shared between the main
framework (the main module) and the GUI or commandline applications. It is
therefore included by both, the daemon and the UI clients.
*/

/* ------------------------------------------------------------------------- */

#define	CIFS_IPC_PROTOCOL_VERSION	3

/* for IPC calls GUI -> daemon: */
#define	CIFS_IPCFN_LOGIN			0
#define	CIFS_IPCFN_LOGOUT			1
#define	CIFS_IPCFN_GET_LICENSE		2
#define	CIFS_IPCFN_CURRENT_SERVERS	3
#define	CIFS_IPCFN_LICENSE_LOAD		4
#define	CIFS_IPCFN_SET_LICENSE		5
#define	CIFS_IPCFN_STORE_LOGIN		6

/* published lists: */
#define	CIFS_LIST_LOGINS			"cifsFileLoginList"

/* ------------------------------------------------------------------------- */

#endif /* __cifsinterface_H_INCLUDED__ */
